org.eclipse.ease.ui.scripts.preferences

## Class URIValidator

- java.lang.Object
- - org.eclipse.ease.ui.scripts.preferences.URIValidator

All Implemented Interfaces:
  IInputValidator

    public class URIValidator
    extends java.lang.Object
    implements IInputValidator

### Constructor Summary

Constructors
Constructor and Description
`URIValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `isValid(java.lang.String text)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### URIValidator

    public URIValidator()

### Method Detail

#### isValid

    public java.lang.String isValid(java.lang.String text)

Specified by:
  `isValid` in interface `IInputValidator`